Loading...
Searching...
No Matches
Catch::AssertionResult Class Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::AssertionResult:
[legend]

## Public Member Functions

| AssertionResult ()=delete
| AssertionResult (AssertionInfo const &info, AssertionResultData &&data)
bool | isOk () const
bool | succeeded () const
ResultWas::OfType | getResultType () const
bool | hasExpression () const
bool | hasMessage () const
std::string | getExpression () const
std::string | getExpressionInMacro () const
bool | hasExpandedExpression () const
std::string | getExpandedExpression () const
StringRef | getMessage () const
SourceLineInfo | getSourceInfo () const
StringRef | getTestMacroName () const

## Public Attributes

AssertionInfo | m_info
AssertionResultData | m_resultData

## Constructor & Destructor Documentation

## AssertionResult() [1/2]

Catch::AssertionResult::AssertionResult | ( |  | ) |

delete

Here is the call graph for this function:
Here is the caller graph for this function:

## AssertionResult() [2/2]

Catch::AssertionResult::AssertionResult | ( | AssertionInfo const & | info,
|  | AssertionResultData && | data )

## Member Function Documentation

## getExpandedExpression()

std::string Catch::AssertionResult::getExpandedExpression | ( |  | ) | const

Here is the call graph for this function:
Here is the caller graph for this function:

## getExpression()

std::string Catch::AssertionResult::getExpression | ( |  | ) | const

Here is the call graph for this function:
Here is the caller graph for this function:

## getExpressionInMacro()

std::string Catch::AssertionResult::getExpressionInMacro | ( |  | ) | const

Here is the caller graph for this function:

## getMessage()

StringRef Catch::AssertionResult::getMessage | ( |  | ) | const

Here is the caller graph for this function:

## getResultType()

ResultWas::OfType Catch::AssertionResult::getResultType | ( |  | ) | const

Here is the caller graph for this function:

## getSourceInfo()

SourceLineInfo Catch::AssertionResult::getSourceInfo | ( |  | ) | const

Here is the caller graph for this function:

## getTestMacroName()

StringRef Catch::AssertionResult::getTestMacroName | ( |  | ) | const

Here is the caller graph for this function:

## hasExpandedExpression()

bool Catch::AssertionResult::hasExpandedExpression | ( |  | ) | const

Here is the call graph for this function:
Here is the caller graph for this function:

## hasExpression()

bool Catch::AssertionResult::hasExpression | ( |  | ) | const

Here is the caller graph for this function:

## hasMessage()

bool Catch::AssertionResult::hasMessage | ( |  | ) | const

Here is the caller graph for this function:

## isOk()

bool Catch::AssertionResult::isOk | ( |  | ) | const

Here is the call graph for this function:
Here is the caller graph for this function:

## succeeded()

bool Catch::AssertionResult::succeeded | ( |  | ) | const

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## m_info

AssertionInfo Catch::AssertionResult::m_info

## m_resultData

AssertionResultData Catch::AssertionResult::m_resultData

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp